#pragma once
#include <map>
struct M_ActivitySummerPlanCFGData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class M_ActivitySummerPlanCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanCFGData* GetData(std::string Key);
	const std::map<std::string, M_ActivitySummerPlanCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_ActivitySummerPlanCFGData> mMapData;
};
